﻿using System;
using System.Collections.Generic;

namespace Core
{
    /// <summary>
    /// Post item business object.
    /// </summary>
    public class PostItem
    {
        public Guid Id { get; set; }
        public string Title { get; set; }
        public string Content { get; set; }
        public bool IsPublished { get; set; }
        public bool IsCommentsEnabled { get; set; }
        public DateTime PubDate { get; set; }
        public string PubDateFormat
        {
            get
            {
                return this.PubDate.ToString("yyyy-MM-dd HH:mm:ss");
            }
        }
        public string Slug { get; set; }
        public List<CommentItem> Comments { get; set; }
        public List<string> CategoryWpNiceNameCollection { get; set; }
        public List<Guid> CategoryIdCollection { get; set; }
        public List<string> Tags { get; set; }
        public string Description { get; set; }
    }
}